{% extends 'utilisateur.html' %}
{% load static widget_tweaks utilisateur_filter icon %}

{% block title %}
    Profil de {{ user.nomComplet }}
{% endblock %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/profile.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block footer_javascript %}
    <script type="application/javascript">
        function creer_organisation() {
            let url_creation_organisation = "{% url "generer_organisation_client_particulier" user.id %}";
            $.ajax({url: url_creation_organisation});
        }
    </script>
    <script src="{% static 'utilisateur/js/profile.js' %}"></script>
{% endblock %}

{% block content %}
    <header>
        <h1>Profil de {{ user.nomComplet }}</h1>
        <div class="header-content">
            <p>Sur cette page, vous pouvez modifier les propriétés d'un utilisateur. <strong>N'oubliez pas de
                sauvegarder</strong> à la
                fin. </p>
            <p>Pour modifier les groupes dont fait partie l'utilisateur, faîtes un <strong>Ctrl + Clic</strong> sur
                chaque groupe.</p>
            {% if user|has_perm:'utilisateur.represente_organisation' %}
                <p>Le bouton <strong>"Créer organisation de particulier"</strong> permet de générer une organisation
                    portant le nom
                    de l'utilisateur (pour les factures émises à des particuliers).</p>
            {% endif %}
        </div>
    </header>

    <div class="container-fluid" style="margin-bottom: 50px;">
        <div class="row">

            {# Info card #}
            <div class="col-xl-3 col-lg-5 col-md-5 order-md-12">
                <div class="card card-lg" id="user-info-card">
                    <h5 class="card-header">{{ user.nomComplet }}</h5>
                    <img alt="" src="{% url "photo_utilisateur" user.id %}" class="card-img-top">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <table class="table table-user-information">
                                    <tbody>
                                    <tr>
                                        <td>Nom d'utilisateur:</td>
                                        <td>{{ user.username }}</td>
                                    </tr>

                                    <tr>
                                        <td>Cotisation:</td>
                                        <td>{{ user.get_statutCotisation_display }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                                {% if user.ficheInscription %}
                                    <a class="btn btn-primary btn-block" target="_blank"
                                       href="{% url "fiche_inscription" user.id %}"
                                       style="color:white;">Consulter la fiche d'inscription</a>
                                {% endif %}
                                {% if user.acceptationCGU.exists %}
                                    <a class="btn btn-dark btn-block" target="_blank"
                                       href="{% url "fiche_cgu" user.id %}"
                                       style="color:white;">Dernière fiche CGU</a>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            {# Settings #}
            <div class="col-xl-9 col-lg-7 col-md-7 order-md-1">

                {% if not user.valide or not user.groups.all %}
                    <div class="card card-lg">
                        <h5 class="card-header">Validation</h5>
                        <div class="card-body row">
                            <div class="col-md-12 mb-2">
                                <p class="card-text">
                                    Cet utilisateur est en attente de validation. Cliquez sur un bouton pour lui en
                                    attribuer un.
                                </p>
                                {% if user.groups.all %}
                                    <p class="card-text">
                                        Cet utilisateur souhaite intégrer le{{ user.groups.all|length|pluralize }}
                                        groupe{{ user.groups.all|length|pluralize }}
                                        <strong>{% for g in user.groups.all %}
                                            {{ g }}
                                        {% endfor %}</strong>
                                    </p>
                                {% endif %}
                            </div>
                            <div class="col-md-12">
                                {% for group in groups %}
                                    <div class="form-group">
                                        <a href="{% url 'valider_utilisateur' user.id group.id %}"
                                                {% if group in user.groups.all %}
                                           style="color: white"
                                           class="btn btn-primary btn-block"
                                                {% else %}
                                           class="btn btn-outline-dark btn-block"
                                                {% endif %}>Valider en tant que {{ group }}</a>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                {% endif %}

                {% if user.valide and user.statutCotisation == NON_PAYEE %}
                    <div class="card card-lg">
                        <h5 class="card-header">Paiement de la cotisation</h5>
                        <div class="card-body row">
                            <div class="col-md-12 mb-2">
                                <p class="card-text">
                                    Cet utilisateur n'a pas payé sa cotisation. Cliquez sur un bouton pour valider son
                                    inscription à l'association et générer tous les documents nécessaires
                                    (fiche d'inscription, CGU, etc).
                                </p>
                                {% if user.groups.all %}
                                    <p class="card-text">
                                        Cet utilisateur fait partie du groupe
                                        <strong>{% for g in user.groups.all %}
                                            {{ g }}
                                        {% endfor %}</strong>
                                    </p>
                                {% endif %}
                            </div>
                            <div class="col-md-12">
                                <div class="form-group">
                                    <a href="{% url 'valider_cotisation' user.id PAYEE_ESP %}"
                                       style="color: white"
                                       class="btn btn-primary btn-block">Payée par espèces</a>
                                </div>
                                <div class="form-group">
                                    <a href="{% url 'valider_cotisation' user.id PAYEE_CHQ %}"
                                       style="color: white"
                                       class="btn btn-primary btn-block">Payée par chèque</a>
                                </div>
                                <div class="form-group">
                                    <a href="{% url 'valider_cotisation' user.id PAYEE_VIR %}"
                                       style="color: white"
                                       class="btn btn-primary btn-block">Payée par virement</a>
                                </div>
                                <div class="form-group">
                                    <a href="{% url 'valider_cotisation' user.id NON_NECESSAIRE %}"
                                       class="btn btn-outline-dark btn-block">Cotisation non nécessaire</a>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endif %}

                <div class="card card-lg" id="info-card">
                    <h5 class="card-header">Informations personnelles</h5>
                    <div class="card-body row">
                        <div class="col-12">

                            <form method="post" accept-charset="UTF-8" enctype="multipart/form-data">
                                {% csrf_token %}

                                {{ form.non_field_errors }}
                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><h7><i
                                                    class="fas fa-envelope"></i> Email</h7></span>
                                        </div>
                                        {% render_field form.email class='form-control' %}
                                        {% for error in form.email.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><h7><i
                                                    class="fas fa-mobile"></i> Téléphone</h7></span>
                                        </div>
                                        {% render_field form.numeroDeTelephone class='form-control' type='tel' %}
                                        {% for error in form.numeroDeTelephone.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><h7><i class="fas fa-birthday-cake"></i> Anniversaire</h7></span>
                                        </div>
                                        <input id="{{ form.anniversaire.id_for_label }}"
                                               name="{{ form.anniversaire.html_name }}"
                                               value="{{ form.anniversaire.value|date:"c" }}" type="date"
                                               title="{{ form.anniversaire.label }}"
                                               class="form-control">
                                        {% for error in form.anniversaire.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><h7><i class="fas fa-camera-retro"></i> Photo</h7></span>
                                        </div>
                                        {% render_field form.photo class='form-control' %}
                                        {% for error in form.photo.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><h7><i class="fas fa-home"></i> Adresse</h7></span>
                                        </div>
                                        {% render_field form.adresse class='form-control' %}
                                        {% for error in form.adresse.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>


                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><h7><i class="fas fa-money-check"></i> Chèque</h7></span>
                                        </div>
                                        {% render_field form.numeroChequeDeCaution class='form-control' %}
                                        {% for error in form.numeroChequeDeCaution.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><h7><i class="fas fa-money-bill-wave"></i> Caution</h7></span>
                                        </div>
                                        {% render_field form.montantCaution class='form-control' %}
                                        {% for error in form.montantCaution.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text">
                                                <h7>{% icon "groupe" %} Groupe</h7></span>
                                        </div>
                                        {% render_field form.groups class='form-control' %}
                                        {% for error in form.groups.errors %}
                                            <span class="help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-6">
                                        <div class="form-group">
                                            <label for="{{ form.valide.id_for_label }}">Valide</label>
                                            {% render_field form.valide class='form-control' %}
                                            {% for error in form.valide.errors %}
                                                <span class="help-block">{{ error }}</span>
                                            {% endfor %}
                                        </div>
                                    </div>
                                    <div class="col-6">
                                        <div class="form-group">
                                            <label for="{{ form.is_staff.id_for_label }}">Administrateur</label>
                                            {% render_field form.is_staff class='form-control' %}
                                            {% for error in form.is_staff.errors %}
                                                <span class="help-block">{{ error }}</span>
                                            {% endfor %}
                                        </div>
                                    </div>
                                </div>

                                {% if user|has_perm:'utilisateur.represente_organisation' %}
                                    <div class="form-group">
                                        <div class="row">
                                            <div class="col-lg-8">

                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                <span class="input-group-text"><h7>
                                                    {% icon "supprimer-organisation" %} Organisation</h7></span>
                                                    </div>
                                                    {% render_field form.organisation class='form-control' %}
                                                    {% for error in form.organisation.errors %}
                                                        <span class="help-block">{{ error }}</span>
                                                    {% endfor %}
                                                </div>

                                            </div>
                                            <div class="col-lg-4">
                                                <button class="btn btn-dark btn-block"
                                                        onclick="window.location.href='{% url "generer_organisation_client_particulier" user.id %}'">
                                                    Créer organisation de particulier
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                {% endif %}

                                <div class="form-group">
                                    <input type="submit" value="Sauvegarder"
                                           class="btn btn-primary btn-block"/>
                                    <input type="hidden" name="next" value="{{ next }}"/>
                                </div>
                            </form>
                        </div>
                    </div>

                </div>
            </div>


        </div>


    </div>
{% endblock %}